Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.portlet
Class PortletMvcView

    java.lang.Object
      org.springframework.webflow.mvc.view.AbstractMvcView
          org.springframework.webflow.mvc.portlet.PortletMvcView

All Implemented Interfaces:
  View

    public class PortletMvcView

extends AbstractMvcView

The Spring Web Portlet MVC view implementation.

Author:
  Keith Donald, Scott Andrews

Field Summary

Fields inherited from interface org.springframework.webflow.execution.View
`RENDER_FRAGMENTS_ATTRIBUTE, USER_EVENT_STATE_ATTRIBUTE`

Constructor Summary
`PortletMvcView(org.springframework.web.servlet.View view, RequestContext context)` Creates a new Portlet MVC view.

Method Summary
`protected void` | `doRender(java.util.Map model)` Template method subclasses should override to execute the view rendering logic.

Methods inherited from class org.springframework.webflow.mvc.view.AbstractMvcView
`addDefaultMapping, addDefaultMappings, addEmptyValueMapping, addMapping, addModelBindings, bind, determineEventId, getBinderConfiguration, getConversionService, getEventId, getExpressionParser, getFieldMarkerPrefix, getFlowEvent, getMappingResults, getRequestContext, getUserEventState, getView, hasFlowEvent, processUserEvent, render, saveState, setBinderConfiguration, setConversionService, setEventIdParameterName, setExpressionParser, setFieldMarkerPrefix, setMessageCodesResolver, setValidator, shouldBind, shouldValidate, toString, userEventQueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletMvcView

    public PortletMvcView(org.springframework.web.servlet.View view,
                          RequestContext context)

  Creates a new Portlet MVC view.

  Parameters:
    `view` - the view to render
    `context` - the current flow request context

Method Detail

### doRender

    protected void doRender(java.util.Map model)
                     throws java.lang.Exception

  Description copied from class: `AbstractMvcView`
  Template method subclasses should override to execute the view rendering logic.

  Specified by:
    `doRender` in class `AbstractMvcView`
  Parameters:
    `model` - the view model data
  Throws:
    `java.lang.Exception` - an exception occurred rendering the view

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD